//+------------------------------------------------------------------+
//|                                                      CCI-RSI.mq4 |
//|                               Copyright  2010, Nikolaj Ostapujk |
//|                                                  nikost@inbox.lv |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Nikolaj Ostapujk"
#property link      "nikost@inbox.lv"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 100
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red
#property indicator_level1 30
#property indicator_level2 50
#property indicator_level3 70
#property indicator_levelcolor RoyalBlue
//-----
extern int  period=14;
//-----
double RSI[];
double CCI[];
double cci[];
//+------------ ------------------------------------------------------+
int init()
 {
   IndicatorBuffers(3);
   SetIndexBuffer(0, RSI);
   SetIndexBuffer(1, CCI);
   SetIndexBuffer(2, cci);
   //-----
   SetIndexStyle(0, DRAW_LINE);
   SetIndexStyle(1, DRAW_LINE);
   SetIndexStyle(2, DRAW_LINE);
   //-----
   return(0);
 }
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
int start()
 {
   int i;
   int counted_bars = IndicatorCounted();
   if(counted_bars < 0) return(-1);
   if(counted_bars > 0) counted_bars--;
   i = Bars - counted_bars-1; 
   while(i >= 0)
    {
     cci[i]=iCCI(NULL, 0, period,PRICE_CLOSE, i);
     i--;
    }
   i = Bars - counted_bars-1; 
   while(i >= 0)
    {
     RSI[i]=iRSI(NULL, 0, period,PRICE_CLOSE, i);
     CCI[i]=iRSIOnArray(cci,Bars,2,i);
     i--;
   }
   
   //-----
   return(0);
 }
//+------------------------------------------------------------------+


